#include "lib/SimpleDHT/SimpleDHT.h"
#include "lib/SimpleDHT/SimpleDHT.cpp"

const int dhtA_pin = 5;

SimpleDHT22 dhtA;

void setup() {
  Serial.begin(9600);
  Serial.println("DHT22 Demo");
  Serial.println("==========");
  
  Serial.print("Configuring pins - ");
  pinMode(dhtA_pin, INPUT_PULLUP);
  Serial.println("done");
  
  Serial.print("Waiting to warm DHT22 up - ");
  delay(2000); // Give the DHT22 time to warm up
  Serial.println("done"); 
}

void loop() {
  float temp, humidity;

  int read_error = dhtA.read2(dhtA_pin, &temp, &humidity, NULL);
  if(read_error != SimpleDHTErrSuccess) {
    Serial.print("Error: Failed reading from the DHT22. Code: ");
    Serial.println(read_error);
    delay(2000); // We can only read every 2 seconds or so
    return;
  }
  
  Serial.print("Error code: ");
  Serial.println(read_error);
  Serial.print("Temperature: ");
  Serial.print(temp);
  Serial.println(" deg celsius");
  Serial.print("Humidity: ");
  Serial.print(humidity);
  Serial.println("%");
  Serial.println("*****");
  
  delay(2000); // We can only read every 2 seconds
}

